/* 
 * Copyright 2014 SATO taichi
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package example;

import rx.observables.BlockingObservable;

public class Blocking {
	public static void main(String[] args) {
		BlockingObservable<Integer> o = rx.Observable
			.range(0, 10)
			.toBlockingObservable();
		for (int i : o.toIterable()) {
			System.out.printf("%d ", i);
		}
	}
}
